Skip to main content
Operations Management/Access Control/Console Service Operations
PUTConsole Service OperationsSince 0.6SynchronousAuth Required

ReconnectConsoleProxyAgent

ReconnectConsoleProxyAgent

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • agentUuidsList

      Optional. The console proxy UUIDs.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • inventoryMapRequired

    The console proxy inventory.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/consoles/agents

/zstack/v1/consoles/agents

Operation ID

ReconnectConsoleProxyAgent

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/consoles/agents' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"agentUuids":["<agentUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "976e8d54d42841da85eb697f3e8534b6": true, "ac4b5e3b69e5499eba381082199b5d42": true } }

Change History

This API has no change history records yet.

View all change history